Bug 989292 - SOS integration for pacemaker
Summary: SOS integration for pacemaker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: Filip Holec
URL:
Whiteboard:
Depends On:
Blocks: 987355 1002857
TreeView+ depends on / blocked
 
Reported: 2013-07-29 02:49 UTC by Andrew Beekhof
Modified: 2016-04-18 10:28 UTC (History)
7 users (show)

Fixed In Version: sos-2.2-42.el6
Doc Type: Enhancement
Doc Text:
Feature: Sos now supports collecting unified cluster diagnostic data via the crm_report tool. Reason: The crm_report command provides a simple mechanism to obtain cluster-wide configuration and diagnostic data. Result (if any):
Clone Of:
Environment:
Last Closed: 2013-11-21 22:41:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2013:1688 normal SHIPPED_LIVE sos bug fix and enhancement update 2013-11-21 00:39:30 UTC

Description Andrew Beekhof 2013-07-29 02:49:43 UTC
Description of problem:

sosreport needs to take advantage of crm_report for cluster bugs if pacemaker is installed

As per IRC conversations, we probably want to run in single-node mode (by default crm_report obtains logs and support files for all cluster nodes).

       -S, --single-node
              single node operation; don't try to start report collectors on other nodes

You'll also want to specify where the output goes to with:

       --dest a custom destination directory/file

Other arguments that can be specified for crm_report:

      -f, --from time
              time to start from: "YYYY-M-D H:M:S"  (do not forget the quotes)

       -t, --to time
              time to finish at (default: now)


"man crm_report" has all the details

Comment 11 errata-xmlrpc 2013-11-21 22:41:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-1688.html


Note You need to log in before you can comment on or make changes to this bug.